POST/v1/flights/loyalty-programmes
Buscar programas de fidelidad
Busca programas de fidelidad por nombre para autocompletados y formularios incrementales de pasajeros.
Busca programas de fidelidad por nombre para autocompletados y formularios incrementales de pasajeros.
Endpoint
| Método | Ruta | Auth |
|---|---|---|
POST | /v1/flights/loyalty-programmes | API key requerida |
| Header | Descripción |
|---|---|
Authorization | Bearer <secret_key>. The secret is shown only once when the credential is created. |
X-Travelandz-Id | <public_key>:<profile_code>. The profile_code is the dp_-prefixed Developer Profile code shown in your dashboard. This binds the request to a profile and credential. |
Content-Type | Use application/json for requests with a body. |
Esquema del cuerpo de la petición
| Propiedad | Tipo | Detalles | Requerido | Notas |
|---|---|---|---|---|
name | string | Sí | - |
Respuesta exitosa
Devuelve matching loyalty programmes.
Esquema del cuerpo de la respuesta
| Propiedad | Tipo | Detalles | Requerido | Notas |
|---|---|---|---|---|
array | Sí | - | ||
loyalty | object | Sí | - | |
loyaltyid | string | Sí | - | |
loyaltyname | string | No | - | |
loyaltyowner_airline_id | string | Nulable | - | |
airline | array | Sí | - | |
airline[]id | string | Sí | - | |
airline[]name | string | Sí | - | |
airline[]iata_code | string | Nulable | - | |
airline[]logo_symbol_url | string | Nulable | - | |
airline[]logo_lockup_url | string | Nulable | - | |
airline[]conditions_of_carriage_url | string | Nulable | - | |
Notas operativas
The search term can match a loyalty programme name or airline name when provider metadata can resolve it.
Ejemplo
bash
curl -X POST https://api.sandbox.travelandz.com/v1/flights/loyalty-programmes \
-H "Authorization: Bearer $TRAVELANDZ_SECRET_KEY" \
-H "X-Travelandz-Id: $TRAVELANDZ_PUBLIC_KEY:$TRAVELANDZ_PROFILE_CODE" \
-H "Content-Type: application/json" \
-d '{"name":"British"}'Cuerpo de la petición - Ejemplo
json
{
"name": "British"
}